#ifndef ATL_ctGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,240,320,640,960,1040,1120,1200,1280,2560
 * N : 25,160,240,320,640,960,1040,1120,1200,1280,2560
 * NB : 9,20,80,80,80,80,80,96,104,128,320
 */
#define ATL_ctGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 9; \
   else if ((n_) < 200) (nb_) = 20; \
   else if ((n_) < 1080) (nb_) = 80; \
   else if ((n_) < 1160) (nb_) = 96; \
   else if ((n_) < 1240) (nb_) = 104; \
   else if ((n_) < 1920) (nb_) = 128; \
   else (nb_) = 320; \
}


#endif    /* end ifndef ATL_ctGetNB_geqrf */
