#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,112,140,168,196,224,252,392,420,448,532,1064,1316,1596,2156
 * N : 25,112,140,168,196,224,252,392,420,448,532,1064,1316,1596,2156
 * NB : 9,8,4,40,40,16,52,28,48,56,56,56,112,112,112
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 68) (nb_) = 9; \
   else if ((n_) < 126) (nb_) = 8; \
   else if ((n_) < 154) (nb_) = 4; \
   else if ((n_) < 210) (nb_) = 40; \
   else if ((n_) < 238) (nb_) = 16; \
   else if ((n_) < 322) (nb_) = 52; \
   else if ((n_) < 406) (nb_) = 28; \
   else if ((n_) < 434) (nb_) = 48; \
   else if ((n_) < 1190) (nb_) = 56; \
   else (nb_) = 112; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
